[ostree] gnomeos-make-image.sh: Take care of downloading and patching dracut
- From: Colin Walters <walters src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [ostree] gnomeos-make-image.sh: Take care of downloading and patching dracut
- Date: Wed, 26 Oct 2011 19:00:47 +0000 (UTC)
commit a9da340e2774a7eb336209806676ee9c0f28ce83
Author: Colin Walters <walters verbum org>
Date: Wed Oct 26 15:00:04 2011 -0400
gnomeos-make-image.sh: Take care of downloading and patching dracut
parallel-debian/gnomeos-make-image.sh | 11 ++++++++++-
1 files changed, 10 insertions(+), 1 deletions(-)
---
diff --git a/parallel-debian/gnomeos-make-image.sh b/parallel-debian/gnomeos-make-image.sh
index 84fe38e..c384296 100755
--- a/parallel-debian/gnomeos-make-image.sh
+++ b/parallel-debian/gnomeos-make-image.sh
@@ -34,6 +34,15 @@ for x in $DEPENDS; do
done
OSTREE=${OSTREE:-ostree}
+if test -z "$DRACUT"; then
+ if ! test -d dracut; then
+ echo "Checking out and patching dracut..."
+ git clone git://git.kernel.org/pub/scm/boot/dracut/dracut.git
+ (cd dracut; git am $SRCDIR/0001-Support-OSTree.patch)
+ (cd dracut; make)
+ fi
+ DRACUT=`pwd`/dracut/dracut
+fi
case `uname -p` in
x86_64)
@@ -141,6 +150,6 @@ cp ${SRCDIR}/ostree_switch_root ${WORKDIR}
OBJ=gnomeos-initrd.img
if ! test -f ${OBJ}; then
rm -f ${OBJ}.tmp
- dracutbasedir=/src/build/jhbuild/share/dracut /src/build/jhbuild/sbin/dracut -v --include `pwd`/ostree_switch_root /sbin/ostree_switch_root ${OBJ}.tmp
+ $DRACUT -l -v --include `pwd`/ostree_switch_root /sbin/ostree_switch_root ${OBJ}.tmp
mv ${OBJ}.tmp ${OBJ}
fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]